<?php
/**
 * Config options
 */

$YEAR = 2020;
$URL_BASE = "https://galaxyoyo.com/tfjm";
$LOCAL_PATH = "/var/www/html/tfjm";
$MAIL_ADDRESS = "contact@galaxyoyo.com";

/**
* DB infos
*/

$DB_HOST = "localhost";
$DB_NAME = "tfjm";
$DB_USER = "galaxyoyo";
$DB_PWD = "***REMOVED***";

try {
	$DB = new PDO("mysql:host=$DB_HOST;dbname=$DB_NAME;charset=utf8", "$DB_USER", "$DB_PWD", array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION));
}
catch (Exception $ex) {
	die("Erreur lors de la connexion à la base de données : " . $ex->getMessage());
}

session_start();
setlocale(LC_ALL, "fr_FR.utf8");

require_once "model.php";
require_once "classes/Role.php";
require_once "classes/Team.php";
require_once "classes/Tournament.php";
require_once "classes/User.php";
require_once "classes/ValidationStatus.php";

loadUserValues();