<?php if ($_SESSION["team"] != NULL) { ?>
    <h2>Vous êtes déjà dans une équipe.</h2>
<?php } else if (isset($access_code)) { ?>
    Votre équipe a bien été créée ! Voici le code d'accès à transmettre aux autres membres de votre équipe : <strong><?= $access_code ?></strong>
<?php } else { ?>

<?php if (isset($error_message) && $error_message) echo "<h2>Erreur : " . $error_message . "</h2>"; ?>

<form method="POST">
    <input type="hidden" name="submitted" value="true" />
    <table style="width: 100%;">
        <tbody>
        <tr>
            <td style="width: 30%;">
                <label for="name">Nom :</label>
            </td>
            <td style="width: 70%;">
                <input style="width: 100%;" type="text" id="name" name="name" />
            </td>
        </tr>
        <tr>
            <td>
                <label for="trigram">Trigramme :</label>
            </td>
            <td>
                <input style="width: 100%;" type="text" id="trigram" name="trigram" />
            </td>
        </tr>
        <tr>
            <td>
                <label for="tournament">Tournoi :</label>
            </td>
            <td>
                <select style="width: 100%;" id="tournament" name="tournament">
                    <?php
                    while (($data = $tournaments_response->fetch()) !== FALSE) {
                        echo "<option value=\"" . $data["id"] . "\">" . $data["name"] . "</option>\n";
                    }
                    ?>
                </select>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <input style="width: 100%;" type="submit" value="Ajouter une équipe" />
            </td>
        </tr>
        </tbody>
    </table>
</form>
<?php } ?>