<h2>Informations sur l'équipe</h2>

Nom de l'équipe : <?= $team->getName() ?><br />
Trigramme : <?= $team->getTrigram() ?><br />
Tournoi : <a href="<?= $URL_BASE . "/tournoi/" . $tournament->getName() ?>"><?= $tournament->getName() ?></a><br />
<?php
for ($i = 1; $i <= 2; ++$i) {
	if ($team->getEncadrants()[$i] == NULL)
		continue;
	$encadrant = User::fromId($team->getEncadrants()[$i - 1]);
	$id = $encadrant->getId();
	echo "Encadrant $i : <a href=\"$URL_BASE/informations/$id/" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "\">" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "</a><br />";
}
for ($i = 1; $i <= 6; ++$i) {
	if ($team->getParticipants()[$i - 1] == NULL)
		continue;
	$participant = User::fromId($team->getParticipants()[$i - 1]);
	$id = $participant->getId();
	echo "Participant $i : <a href=\"$URL_BASE/informations/$id/" . $participant->getFirstName() . " " . $participant->getSurname() . "\">" . $participant->getFirstName() . " " . $participant->getSurname() . "</a><br />";
}
if ($team->isSelectedForFinal()) {
	$final_name = $_SESSION["final"]->getName();
	echo "<strong>Équipe sélectionnée pour la <a href=\"$URL_BASE/tournoi/$final_name\">finale nationale</a>.</strong>";
}
?>

<hr />

<h2>Autorisations</h2>

<?php
while (($data = $documents_req->fetch()) !== false) {
	$file_id = $data["file_id"];
	$type = $data["type"];
	$user_id = $data["user"];
	$user_data = $DB->query("SELECT `surname`, `first_name` FROM `users` WHERE `id` = '$user_id';")->fetch();
	$surname = $user_data["surname"];
	$first_name = $user_data["first_name"];
	$version = $data["version"];
	switch ($data["type"]) {
		case "PARENTAL_CONSENT":
			$name = "Autorisation parentale";
			break;
		case "PHOTO_CONSENT":
			$name = "Autorisation de droit à l'image";
			break;
		case "SANITARY_PLUG":
			$name = "Fiche sanitaire";
			break;
	}
	echo "$name de $first_name $surname : <a href=\"$URL_BASE/file/$file_id\">Télécharger</a><br />";
}
?>

<?php if ($team->isSelectedForFinal()) { ?>
	<hr />
	<h2>Autorisations pour la finale</h2>
	<?php
	while (($data = $documents_req->fetch()) !== false) {
		$file_id = $data["file_id"];
		$type = $data["type"];
		$user_id = $data["user"];
		$user_data = $DB->query("SELECT `surname`, `first_name` FROM `users` WHERE `id` = '$user_id';")->fetch();
		$surname = $user_data["surname"];
		$first_name = $user_data["first_name"];
		$version = $data["version"];
		switch ($data["type"]) {
			case "PARENTAL_CONSENT":
				$name = "Autorisation parentale";
				break;
			case "PHOTO_CONSENT":
				$name = "Autorisation de droit à l'image";
				break;
			case "SANITARY_PLUG":
				$name = "Fiche sanitaire";
				break;
		}
		echo "$name de $first_name $surname : <a href=\"$URL_BASE/file/$file_id\">Télécharger</a><br />";
	}
}

if ($team->getValidationStatus() == ValidationStatus::WAITING && $_SESSION["role"] == Role::ADMIN) { ?>
	<form method="POST">
		<input style="width: 100%;" type="submit" name="validate" value="Valider l'équipe" />
	</form>
	<?php
}

if (!$team->isSelectedForFinal() && isset($_SESSION["user_id"]) && $_SESSION["role"] == Role::ADMIN) { ?>
	<form method="POST">
		<input style="width: 100%;" type="submit" name="select" value="Sélectionner pour la finale nationale" />
	</form>
<?php } ?>