<?php if (isset($error_message)) {
	if ($error_message !== false) {
		echo "<h2>Erreur : " . $error_message . "</h2>";
	} else {
		echo "<h2>Le fichier a été correctement envoyé !</h2>";
	}
}?>

<?php if (date("yyyy-mm-dd") < $tournament_data["date_solutions"]) { ?>
	<form method="post" enctype="multipart/form-data">
		<input type="hidden" name="MAX_FILE_SIZE" value="5000000" />
		<table style="width: 100%;">
			<tbody>
			<tr>
				<td>
					<label for="problem">Problème :</label>
				</td>
				<td>
					<select style="width: 100%;" id="problem" name="problem">
						<?php
						for ($i = 1; $i <= 9; ++$i) {
							echo "<option value=\"$i\">$i</option>\n";
						}
						?>
					</select>
				</td>
			</tr>
			<tr>
				<td>
					<label for="file">Fichier :</label>
				</td>
				<td>
					<input type="file" id="file" name="solution" />
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<input style="width: 100%;" type="submit" name="send_solution" value="Envoyer" />
				</td>
			</tr>
			</tbody>
		</table>
	</form>
<?php } ?>

	<hr />

	<h2>Solutions soumises :</h2>

<?php
while (($data = $solutions_req->fetch()) !== false) {
	$file_id = $data["file_id"];
	$problem = $data["problem"];
	$version = $data["version"];
	echo "Problème $problem (Version $version) : <a href=\"$URL_BASE/file/$file_id\">Télécharger</a><br />";
}
?>

