<?php
if (date("yyyy-mm-dd") < $tournament_data["date_solutions"]) {
	echo "<h3>Il est trop tôt pour se préoccuper des notes de synthèse, attendez le tirage des poules.</h3>";
	require_once "../views/footer.php";
}

if (isset($error_message)) {
	if ($error_message !== false) {
		echo "<h2>Erreur : " . $error_message . "</h2>";
	}
	else {
		echo "<h2>Le fichier a été correctement envoyé !</h2>";
	}
}?>

<?php if (date("yyyy-mm-dd") < $tournament_data["date_syntheses"]) { ?>
	<form method="post" enctype="multipart/form-data">
		<input type="hidden" name="MAX_FILE_SIZE" value="5000000" />
		<table style="width: 100%;">
			<tbody>
			<tr>
				<td>
					<label for="dest">Destination de la note de synthèse :</label>
				</td>
				<td>
					<select style="width: 100%;" id="dest" name="dest">
						<option value="opposant">Opposant</option>
						<option value="rapporteur">Rapporteur</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>
					<label for="file">Fichier :</label>
				</td>
				<td>
					<input type="file" id="file" name="synthese" />
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<input style="width: 100%;" type="submit" name="send_synthese" value="Envoyer" />
				</td>
			</tr>
			</tbody>
		</table>
	</form>
<?php } ?>

	<div style="padding: 20px"></div>

	<h2>Notes de synthèse soumises :</h2>

<?php
while (($data = $syntheses_req->fetch()) !== false) {
	$file_id = $data["file_id"];
	$dest = $data["dest"];
	$version = $data["version"];
	echo "Note de synthèse pour " . ($dest == "OPPOSANT" ? "l'opposant" : "le rapporteur") . " (Version $version) : <a href=\"$URL_BASE/file/$file_id\">Télécharger</a><br />";
}
?>